Index: dri/Makefile
===================================================================
--- dri/Makefile	(revision 336738)
+++ dri/Makefile	(working copy)
@@ -41,7 +41,7 @@
 
 PLIST_SUB+=	VERSION=${MESADISTVERSION}
 
-.if ${ARCH} == amd64 || ${ARCH} == i386 || ${ARCH} == ia64
+.if ${ARCH} == amd64 || ${ARCH} == i386
 DRI_DRIVERS=	${ALL_DRI_DRIVERS}
 .endif
 
@@ -58,6 +58,9 @@
 CONFIGURE_ARGS+=--enable-gallium-llvm=no --without-gallium-drivers
 PLIST_SUB+=	GALLIUM="@comment "
 . endif
+. if ${ARCH} == ia64
+DRI_DRIVERS=	R200 RADEON SWRAST
+.endif
 . if ${ARCH} == powerpc
 DRI_DRIVERS=	RADEON SWRAST
 . endif
@@ -65,6 +68,9 @@
 DRI_DRIVERS=	SWRAST
 . endif
 .else # !defined(WITH_NEW_XORG)
+. if ${ARCH} == ia64
+DRI_DRIVERS=	R200 RADEON SWRAST MACH64 MGA R128 R300 R600 SAVAGE SIS TDFX UNICHROME
+.endif
 . if ${ARCH} == powerpc
 DRI_DRIVERS=	MACH64 RADEON SWRAST TDFX
 . elif ${ARCH} == sparc64
Index: libdrm/Makefile
===================================================================
--- libdrm/Makefile	(revision 336738)
+++ libdrm/Makefile	(working copy)
@@ -34,10 +34,10 @@
 .if ${ARCH} == "amd64" || ${ARCH} == "i386"
 CONFIGURE_ARGS+=--enable-libkms
 EXTRA_PATCHES+=	${FILESDIR}/extra-xf86drmMode.c
-PLIST_SUB+=	KMS="" NOUVEAU=""
+PLIST_SUB+=	KMS=""
 .else
 CONFIGURE_ARGS+=--disable-libkms
-PLIST_SUB+=	KMS="@comment " NOUVEAU="@comment "
+PLIST_SUB+=	KMS="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MMANPAGES}
@@ -62,16 +62,21 @@
 CONFIGURE_ARGS=	--enable-nouveau-experimental-api
 LIBDRM_VERSION=	2.4.17
 LIBDRM_REVISION=1
-PLIST_SUB+=	OLD="" NEW="@comment " NOUVEAU=""
+PLIST_SUB+=	OLD="" NEW="@comment "
 .endif
 
-.if ${ARCH} == "amd64" || ${ARCH} == "i386" || ${ARCH} == "ia64" || ${ARCH} == "powerpc"
+PLIST_SUB+=	NOUVEAU=""
+.if ${ARCH} == "amd64" || ${ARCH} == "i386"
 PLIST_SUB+=	INTEL_DRIVER=""
 PLIST_SUB+=	RADEON_DRIVERS=""
 .else
 PLIST_SUB+=	INTEL_DRIVER="@comment "
+.if ${ARCH} == "ia64" || ${ARCH} == "powerpc"
+PLIST_SUB+=	RADEON_DRIVERS=""
+.else
 PLIST_SUB+=	RADEON_DRIVERS="@comment "
 .endif
+.endif
 
 pre-patch:
 	@${REINPLACE_CMD} 's|{libdir}/pkgconfig|{prefix}/libdata/pkgconfig|g; \
